Get all webhook subscriptions Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/webhook-subscriptions

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[url] string

    Filter by a comma separated list of URLs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • signing_secret string

        The signing secret of the webhook. You can use this to create your own signature of the webhook body and compare it against the X-Signature header Plannr sends. This ensures that the payload has not been modified.

      • url string

        The URL of the webhook Plannr will send events to.

      • events array[string]

        The events the webhook subscription is subscribed to.

      • last_outgoing_webhook_call_at string

        The last time Plannr sent a request to this webhook.

GET /api/v2/webhook-subscriptions
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/webhook-subscriptions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "7f4fc163-e9d0-40ff-b1b9-9453e79e7326",
      "created_at": "2026-06-18T16:11:36+01:00",
      "updated_at": "2026-06-18T16:11:36+01:00",
      "signing_secret": "bj6uLwQEDaijU8cdFy8Bh6OasrFslFcI1m2a3AlS9Td7Ar5MRLSigDRf6RQE",
      "url": "https://api.example.com/webhooks",
      "events": [
        "account.deleted",
        "circle.created"
      ],
      "last_outgoing_webhook_call_at": "2026-06-18T16:11:36+01:00"
    }
  ]
}